Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mystatement
Class Receiver

    java.lang.Object
      mycompiler.mystatement.Receiver

    public class Receiver

extends java.lang.Object

Constructor Summary
`Receiver(Expr expr)` Autor: J�rg B�uerle

Method Summary
`Expr` | `get_Expr()`
`java.lang.String` | `get_Type()`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` | `set_Expr(Expr express)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Receiver

    public Receiver(Expr expr)

  Autor: J�rg B�uerle

  Parameters:
    `expr` -

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

  Throws:
    `SCStatementException`

### get_Type

    public java.lang.String get_Type()

### set_Expr

    public void set_Expr(Expr express)

### get_Expr

    public Expr get_Expr()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD